## rust-signature 2.1.0+ds

=== debian/changelog ===
rust-signature (2.1.0+ds-3) unstable; urgency=medium

  * add patch 1001 to extend dendencies;
    tighten build- and autopkgtest-dependencies
    for crate hex-literal

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Aug 2023 16:56:23 +0200

rust-signature (2.1.0+ds-2) unstable; urgency=medium

  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Aug 2023 01:32:32 +0200

rust-signature (2.1.0+ds-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1041919

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Jul 2023 09:23:22 +0200
