=== debian/control ===
Source: rust-signature
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 librust-digest-0.10-dev <!nocheck>,
 librust-hex-literal-0.4+default-dev <!nocheck>,
 librust-proc-macro2-1+default-dev <!nocheck>,
 librust-quote-1+default-dev <!nocheck>,
 librust-rand-core-0.6-dev <!nocheck>,
 librust-sha2-0.10-dev <!nocheck>,
 librust-syn-1+default-dev <!nocheck>,
 libstring-shellquote-perl <!nocheck>,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/rust-signature.git
Vcs-Browser: https://salsa.debian.org/debian/rust-signature
Homepage: https://github.com/RustCrypto/traits
Rules-Requires-Root: no

Package: librust-signature-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-digest-0.10-dev,
 librust-proc-macro2-1+default-dev,
 librust-quote-1+default-dev,
 librust-rand-core-0.6-dev,
 librust-syn-1+default-dev,
 ${misc:Depends},
Provides:
 librust-signature-2+alloc-dev (= ${binary:Version}),
 librust-signature-2+default-dev (= ${binary:Version}),
 librust-signature-2+std-dev (= ${binary:Version}),
 librust-signature-2-dev (= ${binary:Version}),
 librust-signature-2.0-dev (= ${binary:Version}),
 librust-signature-2.1.0-dev (= ${binary:Version}),
 librust-signature-derive-2+default-dev (= ${derive:Version}),
 librust-signature-derive-2-dev (= ${derive:Version}),
 librust-signature-derive-2.0-dev (= ${derive:Version}),
 librust-signature-derive-2.0.0-dev (= ${derive:Version}),
Description: traits for cryptographic signature algorithms - Rust source code
 signature contains traits
 which provide generic, object-safe APIs
 for generating and verifying digital signatures.
 .
 This package contains the source for the Rust signature crate,
 for use with cargo and dh-cargo.
