=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

# use local fork of debcargo and dh-cargo
PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
export PATH PERL5LIB

SIG_VERSION = $(shell grep -m 1 -Po 'version\W+\K[^"]+' signature/Cargo.toml)
DERIVE_VERSION = $(shell grep -m 1 -Po 'version\W+\K[^"]+' signature/derive/Cargo.toml)

%:
	dh $@ --buildsystem cargo

override_dh_gencontrol:
	dh_gencontrol -plibrust-signature-dev -- -V'derive:Version=$(DERIVE_VERSION)+$(DEB_VERSION)'
#	dh_gencontrol --remaining-packages

# avoid cleaning unless source is patched
override_dh_auto_clean:
	grep -q '"crypto"' Cargo.toml || dh_auto_clean
