=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test signature 2.1.0
 --all-targets --all-features
Features: test-name=rust-signature-2:@
Depends:
 dh-cargo,
 librust-hex-literal-0.4+default-dev,
 librust-sha2-0.10-dev,
 librust-signature-2-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test signature 2.1.0
 --all-targets --no-default-features
Features: test-name=rust-signature-2:
Depends:
 dh-cargo,
 librust-hex-literal-0.4+default-dev,
 librust-sha2-0.10-dev,
 librust-signature-2-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test signature 2.1.0
 --all-targets
Features: test-name=rust-signature-2:default
Depends:
 dh-cargo,
 librust-hex-literal-0.4+default-dev,
 librust-sha2-0.10-dev,
 librust-signature-2+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test signature 2.1.0
 --all-targets --no-default-features --features alloc
Features: test-name=rust-signature-2:alloc
Depends:
 dh-cargo,
 librust-hex-literal-0.4+default-dev,
 librust-sha2-0.10-dev,
 librust-signature-2+alloc-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test signature 2.1.0
 --all-targets --no-default-features --features std
Features: test-name=rust-signature-2:std
Depends:
 dh-cargo,
 librust-hex-literal-0.4+default-dev,
 librust-sha2-0.10-dev,
 librust-signature-2+std-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test signature-derive 2.0.0
 --all-targets --all-features
Features: test-name=rust-signature-derive-2:@
Depends:
 dh-cargo,
 librust-signature-derive-2-dev,
Restrictions: allow-stderr
