## rust-signature 2.2.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-cargo,
+ dh-sequence-rust,
  librust-digest-0.10-dev <!nocheck>,
  librust-hex-literal-0.4+default-dev <!nocheck>,
  librust-proc-macro2-1+default-dev <!nocheck>,
@@ -11,9 +11,8 @@
  librust-rand-core-0.6-dev <!nocheck>,
  librust-sha2-0.10-dev <!nocheck>,
  librust-syn-1+default-dev <!nocheck>,
- libstring-shellquote-perl <!nocheck>,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/rust-signature.git
 Vcs-Browser: https://salsa.debian.org/debian/rust-signature
 Homepage: https://github.com/RustCrypto/traits
@@ -32,14 +31,18 @@
 Provides:
  librust-signature-2+alloc-dev (= ${binary:Version}),
  librust-signature-2+default-dev (= ${binary:Version}),
+ librust-signature-2+derive-dev (= ${binary:Version}),
+ librust-signature-2+digest-dev (= ${binary:Version}),
+ librust-signature-2+rand-core-dev (= ${binary:Version}),
  librust-signature-2+std-dev (= ${binary:Version}),
  librust-signature-2-dev (= ${binary:Version}),
- librust-signature-2.0-dev (= ${binary:Version}),
- librust-signature-2.1.0-dev (= ${binary:Version}),
+ librust-signature-2.2-dev (= ${binary:Version}),
+ librust-signature-2.2.0-dev (= ${binary:Version}),
  librust-signature-derive-2+default-dev (= ${derive:Version}),
  librust-signature-derive-2-dev (= ${derive:Version}),
- librust-signature-derive-2.0-dev (= ${derive:Version}),
- librust-signature-derive-2.0.0-dev (= ${derive:Version}),
+ librust-signature-derive-2.1-dev (= ${derive:Version}),
+ librust-signature-derive-2.1.0-dev (= ${derive:Version}),
+ librust-signature-derive-dev (= ${derive:Version}),
 Description: traits for cryptographic signature algorithms - Rust source code
  signature contains traits
  which provide generic, object-safe APIs
