## rust-signature 2.2.0+ds

=== debian/changelog ===
rust-signature (2.2.0+ds-5) unstable; urgency=medium

  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file: use Github API
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 23:49:59 +0100

rust-signature (2.2.0+ds-4) unstable; urgency=medium

  * tighten substvars:
    + handle prereleases
    + use ${rust:Version:*} with full package name
      (see bug#1076434)
  * autopkgtest-depend on dh-rust (not dh-cargo)
  * stop mention dh-cargo in long description
  * update watch file:
    + improve filename mangling
    + handle prereleases
  * provide minor-versioned features
    (but not arguably superfluous micro-versioned
    lacking semver stability promise);
    closes: bug#1089104, thanks to Daniel Kahn Gillmor

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Dec 2024 18:21:27 +0100

rust-signature (2.2.0+ds-3) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 17:31:13 +0200

rust-signature (2.2.0+ds-2) unstable; urgency=medium

  * add patch 2002 to avoid upstream patching;
    closes: bug#1059777, thanks to Jeremy Bícha

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jan 2024 16:16:55 +0100

rust-signature (2.2.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop exclude crate signature_derive
    when repackaging upstream source
  * update patches
  * provide unversioned virtual package for crate signature_derive
  * tighten versioning of binary packages
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 03:21:59 +0100

rust-signature (2.1.0+ds-6) unstable; urgency=medium

  * do autopkgtest for signature_derive (not bogus signature-derive)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Sep 2023 13:34:57 +0200

rust-signature (2.1.0+ds-5) unstable; urgency=medium

  * provide and autopkgtest features derive digest rand_core
  * add patch cherry-picked upstream
    to have derive.rs tests depend on the feature digest
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2023 18:40:56 +0200

rust-signature (2.1.0+ds-4) unstable; urgency=medium

  * add debian/patches/README documenting patch naming micro-policy
  * update DEP-3 patch headers
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Aug 2023 10:19:57 +0200
