=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-rust,
- librust-digest-0.10-dev <!nocheck>,
- librust-hex-literal-0.4+default-dev <!nocheck>,
- librust-proc-macro2-1+default-dev <!nocheck>,
- librust-quote-1+default-dev <!nocheck>,
- librust-rand-core-0.6-dev <!nocheck>,
- librust-sha2-0.10-dev <!nocheck>,
- librust-syn-1+default-dev <!nocheck>,
+ librust-digest-0.10-dev,
+ librust-hex-literal-0.4+default-dev,
+ librust-proc-macro2-1+default-dev,
+ librust-quote-1+default-dev,
+ librust-rand-core-0.6-dev,
+ librust-sha2-0.10-dev,
+ librust-syn-1+default-dev,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/rust-signature.git
@@ -37,16 +37,22 @@
  librust-signature-2+std-dev (= ${binary:Version}),
  librust-signature-2-dev (= ${binary:Version}),
  librust-signature-2.2-dev (= ${binary:Version}),
+ librust-signature-2.2+alloc-dev (= ${binary:Version}),
+ librust-signature-2.2+default-dev (= ${binary:Version}),
+ librust-signature-2.2+derive-dev (= ${binary:Version}),
+ librust-signature-2.2+digest-dev (= ${binary:Version}),
+ librust-signature-2.2+rand-core-dev (= ${binary:Version}),
+ librust-signature-2.2+std-dev (= ${binary:Version}),
  librust-signature-2.2.0-dev (= ${binary:Version}),
- librust-signature-derive-2+default-dev (= ${derive:Version}),
- librust-signature-derive-2-dev (= ${derive:Version}),
- librust-signature-derive-2.1-dev (= ${derive:Version}),
- librust-signature-derive-2.1.0-dev (= ${derive:Version}),
- librust-signature-derive-dev (= ${derive:Version}),
+ librust-signature-derive-2+default-dev (= ${rust:Version:librust-signature-derive-dev}),
+ librust-signature-derive-2-dev (= ${rust:Version:librust-signature-derive-dev}),
+ librust-signature-derive-2.1-dev (= ${rust:Version:librust-signature-derive-dev}),
+ librust-signature-derive-2.1.0-dev (= ${rust:Version:librust-signature-derive-dev}),
+ librust-signature-derive-dev (= ${rust:Version:librust-signature-derive-dev}),
 Description: traits for cryptographic signature algorithms - Rust source code
  signature contains traits
  which provide generic, object-safe APIs
  for generating and verifying digital signatures.
  .
  This package contains the source for the Rust signature crate,
- for use with cargo and dh-cargo.
+ for use with cargo.
